Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 14-04-2018 16:41:07

anguille_sous_roche
Membre
Lieu : Paris
Distrib. : buster
Noyau : Linux 4.15.0-2-amd64
(G)UI : Xfce 4.12.4
Inscription : 16-02-2013

[Résolu] Chroot dpkg erreur : subprocess returned error exit status 1

Bonjour,
J'ai crée un chroot debian buster-i386 en suivant les instruction suivante :  https://wiki.debian.org/fr/Chroot
Après avoir tapé "tasksel install standard" et "aptitude build-dep wine-development" j’obtiens les erreurs suivantes :

dpkg --configure -a


mktemp: impossible de créer le fichier à partir du modèle « /tmp/user/0/tmp.XXXXXXXXXX »: Aucun fichier ou dossier de ce type
dpkg: erreur de traitement du paquet apparmor (--configure) :
 installed apparmor package post-installation script subprocess returned error exit status 1
Paramétrage de apt-listchanges (3.16) ...
mktemp: impossible de créer le répertoire à partir du modèle « /tmp/user/0/tmp.XXXXXXXXXX.aptlc »: Aucun fichier ou dossier de ce type
dpkg: erreur de traitement du paquet apt-listchanges (--configure) :
 installed apt-listchanges package post-installation script subprocess returned error exit status 1
Paramétrage de ca-certificates (20170717) ...
mktemp: impossible de créer le fichier à partir du modèle « /tmp/user/0/ca-certificates.crt.tmp.XXXXXX »: Aucun fichier ou dossier de ce type
dpkg: erreur de traitement du paquet ca-certificates (--configure) :
 installed ca-certificates package post-installation script subprocess returned error exit status 1
dpkg: des problèmes de dépendances empêchent la configuration de libwww-perl :
 libwww-perl dépend de ca-certificates ; cependant :
 Le paquet ca-certificates n'est pas encore configuré.

dpkg: erreur de traitement du paquet libwww-perl (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg: des problèmes de dépendances empêchent la configuration de liblwp-protocol-https-perl :
 liblwp-protocol-https-perl dépend de ca-certificates ; cependant :
 Le paquet ca-certificates n'est pas encore configuré.
 liblwp-protocol-https-perl dépend de libwww-perl (>= 6.05-2) ; cependant :
 Le paquet libwww-perl n'est pas encore configuré.

dpkg: erreur de traitement du paquet liblwp-protocol-https-perl (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg: des problèmes de dépendances empêchent la configuration de python3-certifi :
 python3-certifi dépend de ca-certificates ; cependant :
 Le paquet ca-certificates n'est pas encore configuré.

dpkg: erreur de traitement du paquet python3-certifi (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg: des problèmes de dépendances empêchent la configuration de libxml-parser-perl :
 libxml-parser-perl dépend de libwww-perl ; cependant :
 Le paquet libwww-perl n'est pas encore configuré.

dpkg: erreur de traitement du paquet libxml-parser-perl (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg: des problèmes de dépendances empêchent la configuration de python3-httplib2 :
 python3-httplib2 dépend de ca-certificates ; cependant :
 Le paquet ca-certificates n'est pas encore configuré.

dpkg: erreur de traitement du paquet python3-httplib2 (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg: des problèmes de dépendances empêchent la configuration de python3-requests :
 python3-requests dépend de python3-certifi ; cependant :
 Le paquet python3-certifi n'est pas encore configuré.
 python3-requests dépend de ca-certificates ; cependant :
 Le paquet ca-certificates n'est pas encore configuré.

dpkg: erreur de traitement du paquet python3-requests (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg: des problèmes de dépendances empêchent la configuration de python3-pysimplesoap :
 python3-pysimplesoap dépend de python3-httplib2 ; cependant :
 Le paquet python3-httplib2 n'est pas encore configuré.

dpkg: erreur de traitement du paquet python3-pysimplesoap (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg: des problèmes de dépendances empêchent la configuration de icoutils :
 icoutils dépend de libwww-perl ; cependant :
 Le paquet libwww-perl n'est pas encore configuré.

dpkg: erreur de traitement du paquet icoutils (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg: des problèmes de dépendances empêchent la configuration de libxml-sax-expat-perl :
 libxml-sax-expat-perl dépend de libxml-parser-perl (>= 2.27) ; cependant :
 Le paquet libxml-parser-perl n'est pas encore configuré.

dpkg: erreur de traitement du paquet libxml-sax-expat-perl (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg: des problèmes de dépendances empêchent la configuration de python3-debianbts :
 python3-debianbts dépend de python3-pysimplesoap ; cependant :
 Le paquet python3-pysimplesoap n'est pas encore configuré.

dpkg: erreur de traitement du paquet python3-debianbts (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg: des problèmes de dépendances empêchent la configuration de python3-reportbug :
 python3-reportbug dépend de python3-debianbts (>= 1.13) ; cependant :
 Le paquet python3-debianbts n'est pas encore configuré.
 python3-reportbug dépend de python3-requests ; cependant :
 Le paquet python3-requests n'est pas encore configuré.

dpkg: erreur de traitement du paquet python3-reportbug (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg: des problèmes de dépendances empêchent la configuration de reportbug :
 reportbug dépend de python3-reportbug (= 7.1.10) ; cependant :
 Le paquet python3-reportbug n'est pas encore configuré.

dpkg: erreur de traitement du paquet reportbug (--configure) :
 problèmes de dépendances - laissé non configuré
Des erreurs ont été rencontrées pendant l'exécution :
 apparmor
 apt-listchanges
 ca-certificates
 libwww-perl
 liblwp-protocol-https-perl
 python3-certifi
 libxml-parser-perl
 python3-httplib2
 python3-requests
 python3-pysimplesoap
 icoutils
 libxml-sax-expat-perl
 python3-debianbts
 python3-reportbug
 reportbug




Une idée d'où ça peut venir ?


EDIT

Il semble y avoir un problème avec mktemp

man mktemp



...
SYNOPSIS
       mktemp [OPTION]... [MODÈLE]
...
Si MODÈLE n'est pas indiqué, tmp.XXXXXXXXXX sera utilisé et --tmpdir est implicitement fournie.
...
 



Pourtant :

mktemp


mktemp: impossible de créer le fichier à partir du modèle « /tmp/user/0/tmp.XXXXXXXXXX »: Aucun fichier ou dossier de ce type



mktemp tmp.XXXXXXXXXX


tmp.qeVLx7f7BY

Dernière modification par anguille_sous_roche (14-04-2018 19:25:53)

Hors ligne

#2 14-04-2018 19:24:53

anguille_sous_roche
Membre
Lieu : Paris
Distrib. : buster
Noyau : Linux 4.15.0-2-amd64
(G)UI : Xfce 4.12.4
Inscription : 16-02-2013

Re : [Résolu] Chroot dpkg erreur : subprocess returned error exit status 1

Le problème venait de l'absence de /tmp/user/ et /tmp/user/0/


mkdir -p /tmp/user/0/



chmod 711 /tmp/user/ && chmod 700 /tmp/user/0/




Si quelqu'un a une meilleur solution ou pouvait m’expliquer pourquoi /tmp/user est absent de l'installation d'un chroot avec debootstrap je suis preneur .

Dernière modification par anguille_sous_roche (14-04-2018 19:30:38)

Hors ligne

Pied de page des forums